%  clear all
close all
a=0;b=2*pi;nq=7;
u=@(x) cos(x);
x=ep00.mesh1D(a,b,nq);
plotmesh=@(x) plot(x,0*x,'color','k','linewidth',1.5,'marker','.','markersize',12);

figure(1)
plotmesh(x)
hold on

t=linspace(a,b,500);
plot(t,u(t),'r','linewidth',1.5) % representation de la fonction u sur [a,b]

U=u(x);
plot(x,U,'Color','b','linewidth',1.5,'markersize',12,'marker','.'); % representation des points (x_i,u(x_i))

legend('mesh','u(x)','\pi_h(u)(x)','interpreter','tex','fontsize',12)
xlabel('x','interpreter','tex','fontsize',12)

